Arch Equipement

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch Equipment and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎русский • ‎українська
Arrow-left.svg Page précédente : Arch Fence.svg Clôture
Page suivante : Outils tuyauteries Arch CompPipe.png Arrow-right.svg

Arch Equipment.svg Arch Équipement

Emplacement du menu
Arch → Équipement
Ateliers
Arch
Raccourci par défaut
E Q
Introduit dans la version
-
Voir aussi
Arch 3 vues depuis maillage

Description

L'outil Équipement vous offre un moyen simple et pratique d'insérer des éléments autonomes, non structurels tels que des meubles, des équipements sanitaire ou appareils électriques à vos projets. Les équipements sont basés sur des objets Part, ce qui leur permet de bénéficier de la solidité et des possibilités de la géométrie BRep et de générer de jolies vues lors du rendu en vue en plan et en coupe.

Arch equipment example.jpg

Objets d'ameublement dans un objet Arch Equipe ment. Les projections à plat peuvent être obtenues par l'outil Draft Projection 2D d'une forme

A partir de la version 0.17, les objets d'équipement ont aussi une propriété DonnéesHiRes où un objet Mesh peut être attaché. Les objets équipement peuvent ensuite être créés pour afficher ce maillage dans la vue 3D au lieu de leur forme, ce qui permet d'utiliser des objets maillés haute résolution tels que des meubles détaillés que l'on trouve généralement sur les sites Web.

Arch equipment mesh.jpg

Objets d'ameublement dans un objet Arch Équipement avec un maillage haute résolution

Lors de l'utilisation de l'exportateur Arch OBJ, tous les équipements en mode d'affichage Mesh seront exportés en tant que maillage au lieu d'objet forme.

Utilisation

  1. Sélectionnez une forme Part, et optionnellement un objet Mesh.
  2. Appuyez sur le bouton Arch Equipment.png Crée un objet d'équipement... ou appuyez la touche E puis Q.

Options

  • Les équipements partagent les propriétés communes et les comportements de tous les Arch Composants

Propriétés

  • DonnéesModel : Une description du modèle de cet équipement.
  • DonnéesUrl : Une URL de la page du produit, où plus d'informations sur cet équipement peut être trouvée.
  • DonnéesMesh : Représentation de cet équipement en objet Mesh. Lorsqu'il est défini, le mode d'affichage Maillage devient disponible.

Script

Voir aussi : Arch API et FreeCAD Script de Base.

L'outil Équipement peut-être utilisé dans des macros et depuis la console Python en utilisant la fonction suivante :

Equipment = makeEquipment(baseobj=None, placement=None, name="Equipment")
  • Crée un objet Equipment à partir d'un baseobj ou un objet Part ou Mesh
  • Si placement est donné, il sera utilisé.
  • Retourne None si l'opération échoue.

Exemple :

import FreeCAD, Arch

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 500
Box.Width = 2000
Box.Height = 600

Equip = Arch.makeEquipment(Box)
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Page précédente : Arch Fence.svg Clôture
Page suivante : Outils tuyauteries Arch CompPipe.png Arrow-right.svg